Extending Qt Creator Manual | SimpleCodeStylePreferencesWidget

Extending Qt Creator Manual 4.5.2

# SimpleCodeStylePreferencesWidget Class

(TextEditor::SimpleCodeStylePreferencesWidget)

- List of all members, including inherited members

## Public Functions

| SimpleCodeStylePreferencesWidget(QWidget *parent = 0)
void | setFlat(bool on)
void | setPreferences(ICodeStylePreferences *tabPreferences)
TabSettingsWidget * | tabSettingsWidget() const

## Member Function Documentation

### SimpleCodeStylePreferencesWidget::SimpleCodeStylePreferencesWidget(QWidget *parent = 0)

Default constructs an instance of SimpleCodeStylePreferencesWidget.

### void SimpleCodeStylePreferencesWidget::setFlat(bool on)

### void SimpleCodeStylePreferencesWidget::setPreferences(ICodeStylePreferences *tabPreferences)

### TabSettingsWidget *SimpleCodeStylePreferencesWidget::tabSettingsWidget() const